:root {
  --black: #141414;
  --white: #fbfbfb;
  --chianti: #7a3145;
  --blush: #d4bfc4;
  --green: #576f35;
  --grey: #858585;
  --transparent: rgba(20, 20, 20, 0.2);
  --greenlight: #3cbc81;
  --smthwrong: #e74a3b;

  --font-family: "Inter Tight", sans-serif;
  --second-family: "Roboto", sans-serif;
}

body {
  font-family: var(--font-family);
  background-color: var(--chianti);
  color: var(--white);
}

h1, h2, h3, h4, h5, h6, p {
  margin-top: 0;
  margin-bottom: 0;
}

.list {
  list-style-type: none;
}

.link {
  text-decoration: none;
}

ul, ol {
  margin-top: 0;
  margin-bottom: 0;
  padding-left: 0;
}

button {
  cursor: pointer;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

.section-title {
  font-weight: 600;
  font-size: 64px;
  line-height: 1;
  letter-spacing: -0.01em;
  text-transform: uppercase;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;

  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.container {
  max-width: 375px;
  padding-left: 20px;
  padding-right: 20px;
  margin-left: auto;
  margin-right: auto;
}

@media screen and (min-width: 768px) {
  .container {
    max-width: 768px;
    padding-left: 32px;
    padding-right: 32px;
  }
}

@media screen and (min-width: 1280px) {
  .container {
    max-width: 1280px;
    padding-left: 100px;
    padding-right: 100px;
  }
}

/* ======= MOBILE MENU ======= */
.mobile-menu {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;
  width: 100%;
  height: 100%;
  background-color: var(--green);
  
  transform: translateX(100%);
  transition: transform 250ms linear;
}

.mobile-menu.is-open {
  transform: translateX(0);
}

.mobile-menu-wrapper {
  position: relative;
  padding-top: 296px;
  padding-bottom: 52px;
  height: 100%;
  
  display: flex;
  flex-direction: column;
}

.mobile-menu-close-btn {
  position: absolute;
  top: 20px;
  right: 20px;
  padding: 0;
  width: 32px;
  height: 32px;
  line-height: 0;
  border: none;
  background-color: transparent;
  stroke: var(--white);
  fill: none;
  transition: width 250ms linear, height 250ms linear;
}

.mobile-menu-close-icon:hover,
.mobile-menu-close-icon:focus {
  width: 40px;
  height: 40px;
}

.mobile-menu-navigation {
  margin-bottom: auto;
}  


.mobile-menu-navigation-link {
  display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #fbfbfb;
      border-radius: 12px;
      padding: 12px 24px;
      width: 118px;
      height: 44px;
}